IMEI Validation Object

Shown below is a sample response returned through our IMEI Validation API.

{
  "merchant_product_imei_reference": "merchant-ref-786",
  "request_type": "BLOCKING",
  "products": [
    {
      "product_code": "xyz",
      "dealer_code": "DLR100",
      "state_code": "NY",
      "product_imei": "SN1234567863",
      "product_imei_status": "BLOCKED",
      "product_brand_response": {}
    }
  ]
}

The table below lists the various parameters returned in the IMEI Validation response objects.

ParameterTypeDescription
merchant_product_imei_referencestring

Merchant product IMEI reference.

Example: sample

request_typestring

IMEI request type.

Accepted values:
  • BLOCKING: To block the IMEI number.
  • UNBLOCKED: To unblock the IMEI number.
productsarray of object

An object that contains the product information details.

Learn more about our products child object.

Products

The table below lists the various parameters in the products object. This is part of the IMEI Validation API response object.

ParameterTypeDescription
product_codestring

Unique Product identifier of the product.

Example: redmi_1

dealer_codestring

Unique identifier for the dealer.

Example: DLR100

state_codestring

State code passed in the request parameter.

Example: 23

product_imeistring

The unique IMEI number of the product.

Example: SN1234567892

product_imei_statusstringProduct IMEI status.
  • BLOCKED
  • UNBLOCKED
product_brand_responseobject

An object that contains the product brand response details.

Learn more about the product_brand_response child object.

Product Brand Response [Child Object]

The table below lists the various parameters in the product_brand_response child object. This is part of the products object.

ParameterTypeDescription
codestringCode returned from brand in case of failure
messagestring

Message corresponding to the validation status.

Example: Offer is Eligible

Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant